# RvcCleanModeTrait.ChangeToModeCommand.Response

# RvcCleanModeTrait.ChangeToModeCommand.Response


```
class RvcCleanModeTrait.ChangeToModeCommand.Response : ClusterStruct
```

<br />

*** ** * ** ***

The result of the completed `ChangeToMode` command.

## Summary

| ### Nested types |
|---|
| `@https://developers.home.google.com/reference/kotlin/com/google/home/annotation/HomeExperimentalGenericApi enum https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/RvcCleanModeTrait.ChangeToModeCommand.Response.CommandFields : https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-enum/index.html, https://developers.home.google.com/reference/kotlin/com/google/home/Field` Descriptor enum for this command's response fields. |

| ### Public constructors |
|---|
| `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/RvcCleanModeTrait.ChangeToModeCommand.Response#Response(kotlin.UByte,kotlin.String)(status: https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-u-byte/index.html, statusText: https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html?)` Creates a response payload from the ChangeToMode command. |

| ### Public functions |
|---|---|
| `open https://developers.home.google.com/reference/kotlin/com/google/home/StructDescriptor` | `@https://developers.home.google.com/reference/kotlin/com/google/home/annotation/HomeExperimentalGenericApi https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/RvcCleanModeTrait.ChangeToModeCommand.Response#getDescriptor()()` Returns the descriptor for the struct. |
| `open https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-any/index.html?` | `@https://developers.home.google.com/reference/kotlin/com/google/home/annotation/HomeExperimentalGenericApi https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/RvcCleanModeTrait.ChangeToModeCommand.Response#getFieldValueById(kotlin.UInt)(tagId: https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-u-int/index.html)` Returns the value of the field for the given tag ID. |

| ### Public properties |
|---|---|
| `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-u-byte/index.html` | `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/RvcCleanModeTrait.ChangeToModeCommand.Response#status()` The status of the `ChangeToMode` command. |
| `https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html?` | `https://developers.home.google.com/reference/kotlin/com/google/home/matter/standard/RvcCleanModeTrait.ChangeToModeCommand.Response#statusText()` Text describing the status of the `ChangeToMode` command. |

## Public constructors

### Response

```
Response(status: UByte, statusText: String? = null)
```

Creates a response payload from the ChangeToMode command.

## Public functions

### getDescriptor

```
@HomeExperimentalGenericApi
open fun getDescriptor(): StructDescriptor
```

Returns the descriptor for the struct.

### getFieldValueById

```
@HomeExperimentalGenericApi
open fun getFieldValueById(tagId: UInt): Any?
```

Returns the value of the field for the given tag ID.

## Public properties

### status

```
val status: UByte
```

The status of the `ChangeToMode` command. Valid values are defined by the device manufacturer.

### statusText

```
val statusText: String?
```

Text describing the status of the `ChangeToMode` command.